package org.rcisoft.business.overview.entity;

import lombok.*;

import org.rcisoft.core.entity.IdNotDataEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with  on 2018-4-13 15:33:14.
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "bus_project_area_stat")
public class BusProjectAreaStat implements Serializable {

     public BusProjectAreaStat(String year, BigDecimal water, BigDecimal elec, BigDecimal gas) {
          this.year = year;
          this.water = water;
          this.elec = elec;
          this.gas = gas;
     }

     public BusProjectAreaStat(String proId, String year, BigDecimal water, BigDecimal elec, BigDecimal gas) {
          this.proId = proId;
          this.year = year;
          this.water = water;
          this.elec = elec;
          this.gas = gas;
     }

     @Id
     private Integer id;

     private String proId;

     private String year;

     private BigDecimal water;

     private BigDecimal elec;

     private BigDecimal gas;


}

