package org.rcisoft.business.overview.entity;

import lombok.*;

import org.rcisoft.core.entity.IdNotDataEntity;
import javax.persistence.*;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with  on 2018-4-11 13:35:28.
 * 10分钟能耗统计表
*/
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "energy_count_m")
public class EnergyCountM implements Serializable {

     public EnergyCountM(String proId, String year) {
          this.proId = proId;
          this.year = year;
     }

     public EnergyCountM(String proId, String year, String mon) {
          this.proId = proId;
          this.year = year;
          this.mon = mon;
     }

     public EnergyCountM(String proId, String year, String mon, String day) {
          this.proId = proId;
          this.year = year;
          this.mon = mon;
          this.day = day;
     }

     @Id
     private Integer id;

     private String metNum;

     private String proId;

     private BigDecimal water;

     private BigDecimal elec;

     private BigDecimal gas;

     private String hour;

     private String day;

     private String mon;

     private String year;

     private Date createTime;

     private BigDecimal waterMoney;

     private BigDecimal elecMoney;

     private BigDecimal gasMoney;


}

