package org.rcisoft.business.overview.dao;

import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.overview.entity.BusProjectArea;
import org.rcisoft.business.overview.vo.BusProjectAreaVo;
import org.rcisoft.core.base.BaseMapper;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

/**
* Created with  on 2018-4-13 13:51:00.
*/
@Repository
public interface BusProjectAreaRepository extends BaseMapper<BusProjectArea> {

//    /**
//     * 查询水电气的用量标准信息、建筑面积
//     * @param busProjectArea
//     * @return
//     */
//    @Select("<script>select * from bus_project_area b where b.PRO_ID=#{proId}</script>")
//    @ResultMap(value = "BaseResultMap")
//    List<BusProjectArea> queryBusProjectAreas(BusProjectArea busProjectArea);
//
//    @Select("<script>select SUM(IF(b.TYPE=1, b.AREA, 0)) as WATER_AREA,SUM(IF(b.TYPE=2, b.AREA, 0)) as ELEC_AREA,SUM(IF(b.TYPE=3, b.AREA, 0)) as GAS_AREA from bus_project_area b where b.PRO_ID=#{proId}</script>")
//    @ResultMap(value = "vo")
//    BusProjectAreaVo classifyProjectArea(String proId);

    /**
     * 查询项目标准
     * @param proId
     * @return
     */
    @Select("<script>select * from bus_project_area where pro_id = #{proId}</script>")
    List<Map<String,Object>> queryBusProjectArea(@Param("proId") String proId);
}

